Language

Package: rtl-sdr @ 0.6.0-1.5e73f90

Synopsis

Software defined radio driver for Realtek RTL2832U

Description

DVB-T dongles based on the Realtek RTL2832U can be used as a cheap software defined radio, since the chip allows transferring the raw I/Q samples to the host. rtl-sdr provides drivers for this purpose.

The default Linux driver managing DVB-T dongles as TV devices doesn't work for SDR purposes and clashes with this package. Therefore you must prevent the kernel from loading it automatically by adding the following line to your system configuration:

(kernel-arguments '("modprobe.blacklist=dvb_usb_rtl28xxu"))

To install the rtl-sdr udev rules, you must extend 'udev-service-type' with this package. E.g.: (udev-rules-service 'rtl-sdr rtl-sdr)

Home page
https://osmocom.org/projects/sdr/wiki/rtl-sdr
Location
gnu/packages/radio.scm (line: 215, column: 4)
License

Derivations

SystemTargetDerivationBuild status
x86_64-linux/gnu/store/4d5d4fyij7f77brqpzz9hb8ay1b3igzb-rtl-sdr-0.6.0-1.5e73f90.drv
x86_64-linuxx86_64-w64-mingw32/gnu/store/phpgkl7i5vmf1ghgwg84hrpfdn0cfqn7-rtl-sdr-0.6.0-1.5e73f90.drv
x86_64-linuxriscv64-linux-gnu/gnu/store/910zhwchix59bflnrxk56nz5ms2wpnip-rtl-sdr-0.6.0-1.5e73f90.drv
x86_64-linuxpowerpc-linux-gnu/gnu/store/6ssbzammwfxh6chnp6x8zall4wyilrqh-rtl-sdr-0.6.0-1.5e73f90.drv
x86_64-linuxpowerpc64le-linux-gnu/gnu/store/cmfc61863xmr7d9dqy9jinf4fff1h6a2-rtl-sdr-0.6.0-1.5e73f90.drv
x86_64-linuxmips64el-linux-gnu/gnu/store/glis80861k9d3w58xvk6api72mhqy1fw-rtl-sdr-0.6.0-1.5e73f90.drv
x86_64-linuxi686-w64-mingw32/gnu/store/4kps5wfpxavzf8p4wsdbpvlpwfgp9rd0-rtl-sdr-0.6.0-1.5e73f90.drv
x86_64-linuxi586-pc-gnu/gnu/store/qp6az4vn5lxgay165iy8alx5kzhyi7bb-rtl-sdr-0.6.0-1.5e73f90.drv
x86_64-linuxarm-linux-gnueabihf/gnu/store/72zwbgvdrfls1zb9c7hklk1dsarwvygq-rtl-sdr-0.6.0-1.5e73f90.drv
x86_64-linuxaarch64-linux-gnu/gnu/store/fagx6fajrkvamawnmc50n3rdyf8w2i78-rtl-sdr-0.6.0-1.5e73f90.drv
riscv64-linux/gnu/store/q0jvzc4kb3iln1nbbbxb5848m1wc5mxr-rtl-sdr-0.6.0-1.5e73f90.drv
    powerpc-linux/gnu/store/vrmp256rqxf1qdliyg2984y2g7aslbxp-rtl-sdr-0.6.0-1.5e73f90.drv
      powerpc64le-linux/gnu/store/1ryfil9z6nqxqk98km4ffxvn55ql0jpb-rtl-sdr-0.6.0-1.5e73f90.drv
      mips64el-linux/gnu/store/5mv929zsh080cnfjlvy40r42wyzafvfw-rtl-sdr-0.6.0-1.5e73f90.drv
        i686-linux/gnu/store/2xq6cs6djjl5jz0jyp2bl6f2gmh2a2xl-rtl-sdr-0.6.0-1.5e73f90.drv
        i586-gnu/gnu/store/r0z35b5z50x7gcxsih9xnszm2yn764bv-rtl-sdr-0.6.0-1.5e73f90.drv
        armhf-linux/gnu/store/ir5hq143i5ps25zxw6x8bz0jj7g00yq0-rtl-sdr-0.6.0-1.5e73f90.drv
        aarch64-linux/gnu/store/1caraq39ykklcv8gi9gs01s58wags42p-rtl-sdr-0.6.0-1.5e73f90.drv

        Lint warnings

        LinterMessageLocation
        description

        Validate package descriptions

        use @code or similar ornament instead of quotes
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f8ed7409c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7fa7aa068c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f5755cb9c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f119da52c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7fb2d2987dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f3e6bc77dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f62abeb7dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7fa23c1dddc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f0f10522dc0> input: ("_" "static")>